# sdis29-1
## Dépôt Git des programmes sources - SDIS 29.

Version: v.0.0.1f-ge

### Création initiale des serveurs :

  * Création des serveurs **ap31-prod** et **ap31-test** via un clone intégral d'une template sur pxlab1.
  * Disques redimensionnés de 2Go a 10Go.
  * Définition des IPs et ajout des clés SSH dans les machines.
  * Création du serveur **ap31-mon** via un clone intégral d'une template.
  * Définition de l'IP et ajout des clés SSH.
  * Disque redimensionné de 2G à 10Go.
  * Doublement de la RAM sur **ap31-mon**. (1024Mo --> 2048Mo)
  * Machines définies sur la *timezone* Europe/Paris (UTC +1)

### Installation des paquets :

  * Ajout du fichier `/etc/apt/apt.conf` récupéré depuis depl, pour pouvoir passer à travers le proxy.
  * Commande `apt update` effectuée sur chaque machine.
  * **ap31-prod** : mariadb-server, tomcat10, zabbix-agent2, qemu-guest-agent, wget, goss
  * **ap31-test** : mariadb-server, tomcat10, phpmyadmin, zabbix-agent2, qemu-guest-agent, wget, goss
  * **ap31-mon**  : apache2, mariadb-server, zabbix-server-mysql, zabbix-frontend-php, zabbix-apache-conf, zabbix-sql-scripts, zabbix-agent
  * Ajout de goss sur **ap31-test** et **ap31-prod**, et création de fichiers de test fonctionnels pour les deux machines.

### Configuration de Zabbix :

  * Pour **ap31-mon**, installation de Zabbix, et configuration de Zabbix via l'interface web.
  * Pour **ap31-prod** et **ap31-test**, modification des fichiers `/etc/zabbix/zabbix_agent2.conf` pour ajouter l'IP du serveur Zabbix et le *hostname*.

  * Une fois fait, ajout de **ap31-prod** et **ap31-test** dans Zabbix, et attente d'une détection sur le serveur Zabbix.
